GNU bug report logs - #51331
29.0.50; cropping images

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Peter Münster <pm@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 51331 <at> debbugs.gnu.org:


Received: (at 51331) by debbugs.gnu.org; 13 Sep 2022 14:32:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 13 10:32:42 2022
Received: from localhost ([127.0.0.1]:52337 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oY6xe-0004Xv-UD
	for submit <at> debbugs.gnu.org; Tue, 13 Sep 2022 10:32:42 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55970)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oY6xd-0004Xi-3r
 for 51331 <at> debbugs.gnu.org; Tue, 13 Sep 2022 10:32:25 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53162)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oY6xX-0007mh-BZ; Tue, 13 Sep 2022 10:32:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=94BHBEv3yIFxZ+mt69C9ePkrpeCPtHjLK7o+iOH4V9E=; b=I7ZPomgSdBNy
 xG2PhTXYIphJa/vMMI9P8gqOgmXdTCpnN5cnW3u2TZBvJKeRX5Dk4LrE/+am0n1NR1uuyKRHjSorN
 yNBehApXxu93ooTiFG/3qNPrhCsHTq7VpJOrv3h9zEO+JBD6yCLOBhheygHqwUw2EhlW16oMPb6y9
 OZtLnIAPMvtk77ULUuySRcclyXcuZGjUr1qgLFUvowOeyvYTqmnOmuNnCjwEmoEJ7Da+qe4iXYkGH
 mixqo0US930U+FvZjNvAdyyhSqyEURyEaiE+zfLd33A2lzthH52o2p3NszcsMJVVb0YQ4dRI7oQsF
 s9WbFbJQ+C4rkxvCy4yZGA==;
Received: from [87.69.77.57] (port=3588 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oY6xW-0002KB-RX; Tue, 13 Sep 2022 10:32:19 -0400
Date: Tue, 13 Sep 2022 17:32:06 +0300
Message-Id: <83h71b4a6x.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87wna7z6vd.fsf@HIDDEN> (message from Lars Ingebrigtsen on Tue, 
 13 Sep 2022 16:28:06 +0200)
Subject: Re: bug#51331: 29.0.50; cropping images
References: <87cznxuyra.fsf@HIDDEN> <87r10f1iuj.fsf@HIDDEN>
 <83k0674auc.fsf@HIDDEN> <87wna7z6vd.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51331
Cc: pm@HIDDEN, 51331 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: pm@HIDDEN,  51331 <at> debbugs.gnu.org
> Date: Tue, 13 Sep 2022 16:28:06 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > That seems to require ImageMagick to be installed (it uses commands
> > from that package)?  This should be in NEWS and perhaps also in the
> > doc string.
> 
> NEWS says "relies on external programs".  It doesn't have to be
> ImageMagick, but that's the default.

I think the NEWS entry should be less vague about what is expected by
default.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51331; Package emacs. Full text available.

Message received at 51331 <at> debbugs.gnu.org:


Received: (at 51331) by debbugs.gnu.org; 13 Sep 2022 14:28:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 13 10:28:21 2022
Received: from localhost ([127.0.0.1]:52327 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oY6tg-0004Pz-U0
	for submit <at> debbugs.gnu.org; Tue, 13 Sep 2022 10:28:21 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37484)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oY6tc-0004Pe-9U
 for 51331 <at> debbugs.gnu.org; Tue, 13 Sep 2022 10:28:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=1JM1bi8l83YIQ3w/m83f4Br1mxB7FFaSPrZu4uSwsCo=; b=CdY5KWFkQsaWvCGIgnM6RT7/Em
 Zhx9QMq8mQQJJmWoLrWOLNLVkdefz5rnwbdyV9fcbsjxhvF5f0O5Ed0LqOTa/sgOhNIq6P6zeQdJZ
 QqDICrOmqrezBnpen+1cBY71n1D7vhrJ9uLmfr8DIS0yYGDtB0JtsVpZag+7kP9pxYQ4=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oY6tT-0004AQ-0H; Tue, 13 Sep 2022 16:28:09 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#51331: 29.0.50; cropping images
In-Reply-To: <83k0674auc.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 13 Sep
 2022 17:18:03 +0300")
References: <87cznxuyra.fsf@HIDDEN> <87r10f1iuj.fsf@HIDDEN>
 <83k0674auc.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAJFBMVEULCgshHh5QT08v
 Li+Pj4/Q0ND4+Pign55wcHCxsbE/Pj/////9TU4gAAAAAWJLR0QLH9fEwAAAAAd0SU1FB+YJDQ02
 E/bJq2sAAAGvSURBVDjLrZJLT8JAEICnLZDiadGIHCsEordWItFbYyJnYkKRGyId4IbxdW2iEI8m
 RIz/1t3u7HZBuDmH7WS+eXQeAFpKmVRrpcwOVgaagQm4MAoEi2XGg2YgSQo1sK8RsfeWJSV7JcL+
 6xfiI8WoVC6Oj0W2OT5YWTXOVxPyqMeeCc6nulZ7Yvykg6HWbUwycGh6tYaZvgoNYKOvVHfKnxNd
 ZfGptMK9iJJ+RwkUda5FSMAKWKsDTqxAxOgpYhzxPCtqZW+qaC5CnAE0ZhLkhjosj6KjckeCoqgN
 KJ4yj2Bk4G4DMa20YouP3qMUFEmg99P1wKVBlEVD1ncK0uy2CaTse2ugA+uiUhU2gSqev9sA6e8y
 6VD3DVAYSGCPjVG7SxqJGAQyyKsdiv29eATaCd+63LQTJTR2Acq8emOcbnAx4rUnCrhj4ToKwJmL
 wEZHAeDxkEPsIi7FLfkapBdTeca+uGm6JSYvJtFNOFGYfmVjjZEGSvXJ7YbslyqYRpHDW5HUOhXl
 TcA946eP9whVpAZwwU8H4yv4A8A6q9YYbAEbsgtY/wrYLhCUtiHH/wX511YbTcUDIgAAACV0RVh0
 ZGF0ZTpjcmVhdGUAMjAyMi0wOS0xM1QxMzo1NDoxOSswMDowMFOqidMAAAAldEVYdGRhdGU6bW9k
 aWZ5ADIwMjItMDktMTNUMTM6NTQ6MTkrMDA6MDAi9zFvAAAAAElFTkSuQmCC
X-Now-Playing: Tiefschwarz's _#savefabric (10) (Mixed by Terry Francis)_:
 "Wegekuckuck"
Date: Tue, 13 Sep 2022 16:28:06 +0200
Message-ID: <87wna7z6vd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > That seems to require
 ImageMagick to be installed (it uses commands > from that package)? This
 should be in NEWS and perhaps also in the > doc string. NEWS says "relies
 on external programs". It doesn't have to be ImageMagick,
 but that's the default.
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51331
Cc: pm@HIDDEN, 51331 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> That seems to require ImageMagick to be installed (it uses commands
> from that package)?  This should be in NEWS and perhaps also in the
> doc string.

NEWS says "relies on external programs".  It doesn't have to be
ImageMagick, but that's the default.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51331; Package emacs. Full text available.

Message received at 51331 <at> debbugs.gnu.org:


Received: (at 51331) by debbugs.gnu.org; 13 Sep 2022 14:18:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 13 10:18:24 2022
Received: from localhost ([127.0.0.1]:52321 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oY6k3-0004AJ-NJ
	for submit <at> debbugs.gnu.org; Tue, 13 Sep 2022 10:18:24 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60186)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oY6k1-00049x-Ok
 for 51331 <at> debbugs.gnu.org; Tue, 13 Sep 2022 10:18:22 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33150)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oY6jw-0005II-33; Tue, 13 Sep 2022 10:18:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=cGV18MtVn7VnjWurAlSSR2qNu5VTqBEOKC6PS59M9Tc=; b=rhhKjwy4jt0lgrmCADjr
 6Bp2fN1md/jabHY644qUvQDKihZqF+HL3GrOJvgY9Xity9VUFIudG3Ru9LCO+NCnjMs60JwnUQJ2+
 tVwQQ1hsQBxAdOPnG1aFQWGRdq+vqpfjh1eJugNvUEKiLma8HFWpCAfjExYSf8DB4WzR5v0mJurMX
 dOBRE7Nlu1lVOcwhQGsiEhuQSju/uQVUITzSBxr9SaimfRux0vrZFnnfKZn3F4lLUSki01abo0tsl
 rgNPBaQFfBvXUh0iga26QKBrgd7R+TiJ/KJhpw9xXctLv9inpycYxCxZofsb+32Y4wtAvbCPLazpH
 C/UZCZoxujTpKQ==;
Received: from [87.69.77.57] (port=2707 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oY6jv-00048t-JE; Tue, 13 Sep 2022 10:18:15 -0400
Date: Tue, 13 Sep 2022 17:18:03 +0300
Message-Id: <83k0674auc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87r10f1iuj.fsf@HIDDEN> (message from Lars Ingebrigtsen on Tue, 
 13 Sep 2022 15:53:24 +0200)
Subject: Re: bug#51331: 29.0.50; cropping images
References: <87cznxuyra.fsf@HIDDEN> <87r10f1iuj.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51331
Cc: pm@HIDDEN, 51331 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 51331 <at> debbugs.gnu.org
> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Tue, 13 Sep 2022 15:53:24 +0200
> 
> Peter Münster <pm@HIDDEN> writes:
> 
> > I would like to crop images in image-dired-image-display-mode with the
> > mouse and save it then. Does such a function already exists?
> > If yes, where can I find it please?
> 
> I've now added an 'image-crop' command to Emacs 29.

That seems to require ImageMagick to be installed (it uses commands
from that package)?  This should be in NEWS and perhaps also in the
doc string.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51331; Package emacs. Full text available.

Message received at 51331 <at> debbugs.gnu.org:


Received: (at 51331) by debbugs.gnu.org; 13 Sep 2022 14:09:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 13 10:09:26 2022
Received: from localhost ([127.0.0.1]:52265 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oY6bN-0003t9-NH
	for submit <at> debbugs.gnu.org; Tue, 13 Sep 2022 10:09:25 -0400
Received: from mail-pl1-f194.google.com ([209.85.214.194]:40476)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <visuweshm@HIDDEN>) id 1oY6bM-0003sw-9W
 for 51331 <at> debbugs.gnu.org; Tue, 13 Sep 2022 10:09:24 -0400
Received: by mail-pl1-f194.google.com with SMTP id b21so11941893plz.7
 for <51331 <at> debbugs.gnu.org>; Tue, 13 Sep 2022 07:09:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:from:to:cc:subject:date;
 bh=cHS9N53WUFyas/jR7XvYWoJKIzFhLd4RrxFw6HKRFk0=;
 b=KRJ/ITIQqIo5jGPhwXu7IUlav9gIgf9iPLNd/y+jF/I7i25QmPZX1PxdjzGofExLiN
 iMyk+kkyEdlM6JzfHRDV9wJJdESb8U5cYV7haKkFd3/d2zCRMV99IfzqkS3cqHFaAlgJ
 tqT78PJ1xyDYXpGAcUE7OzOgE7zNv4rSZ7HCK1/TbDL27vvsVSbIqnQ2Kz7Pyhs58ECt
 CoxbGJnAaYZNUZd3kbIlrdSLjQwG96DyYtOvI4FEX9Mfi9T+X5jmJbZKPMScl9XeKX/+
 lG/gW7N0kNHDJgcTAvOooK4vZmIyKrtYkP2DWA21CAHP9E9hn/j/crAShDO5uvvVG5Tk
 vY+Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:x-gm-message-state:from
 :to:cc:subject:date;
 bh=cHS9N53WUFyas/jR7XvYWoJKIzFhLd4RrxFw6HKRFk0=;
 b=fSfmnFcUO/UBjEl5qVvh/cG6E/35X5aHpdEyKgWyEEOnftOfQO6gRPW7WzUnCoj0dR
 doX3l2ckf9udOxw0sk81d8uXp/6NN9B3rX/RPeWAEAAwrHnyutIzt2QAI07qof1XvXHY
 iekXYNMD5yNrqulD5hgOzjsC6UOTFk9oifXQIuNMZSxrFNFznAMPWaQ36qsfylcg6SrD
 EYG4Aejv4akwd2G8NDsL0Sw4mH41rdfOPSYtZAl+lfPkioU8TSRzU32bp3YeMLQjloJc
 o1zcimJN50FdJqjs+1BNEhFAUM97K49GNXpcJqk6yzEkfysEflLBV7BgYCgdeA/3XyId
 trOg==
X-Gm-Message-State: ACgBeo3EaF6FfNnrJRr0ex6qh5xyWLH9s8OGXh6e+6MXQCvBGbI2G7z5
 pgU21pJQPI84W+x9uv1NSIw=
X-Google-Smtp-Source: AA6agR43RnR2meSRtSAIPgau1slfk21cHSOKqmXsdCYVtk6u303dEzlYrgKWSX6Hf7PggX08zhQ82Q==
X-Received: by 2002:a17:902:e848:b0:176:c746:1f69 with SMTP id
 t8-20020a170902e84800b00176c7461f69mr32262365plg.125.1663078158200; 
 Tue, 13 Sep 2022 07:09:18 -0700 (PDT)
Received: from localhost ([115.240.90.130]) by smtp.gmail.com with ESMTPSA id
 h10-20020a170902680a00b0017300ec80b0sm8329523plk.308.2022.09.13.07.09.15
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 13 Sep 2022 07:09:16 -0700 (PDT)
From: Visuwesh <visuweshm@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#51331: 29.0.50; cropping images
In-Reply-To: <87r10f1iuj.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 13 Sep 2022 15:53:24 +0200")
References: <87cznxuyra.fsf@HIDDEN> <87r10f1iuj.fsf@HIDDEN>
Date: Tue, 13 Sep 2022 19:39:02 +0530
Message-ID: <87wna7z7r5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51331
Cc: Peter =?utf-8?Q?M=C3=BCnster?= <pm@HIDDEN>, 51331 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

[=E0=AE=9A=E0=AF=86=E0=AE=B5=E0=AF=8D=E0=AE=B5=E0=AE=BE=E0=AE=AF=E0=AF=8D =
=E0=AE=9A=E0=AF=86=E0=AE=AA=E0=AF=8D=E0=AE=9F=E0=AE=AE=E0=AF=8D=E0=AE=AA=E0=
=AE=B0=E0=AF=8D 13, 2022] Lars Ingebrigtsen wrote:

> Peter M=C3=BCnster <pm@HIDDEN> writes:
>
>> I would like to crop images in image-dired-image-display-mode with the
>> mouse and save it then. Does such a function already exists?
>> If yes, where can I find it please?
>
> I've now added an 'image-crop' command to Emacs 29.

Thank you, Lars!  Now I have one less reason to use GIMP.  ;-)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51331; Package emacs. Full text available.
bug marked as fixed in version 29.1, send any further explanations to 51331 <at> debbugs.gnu.org and Peter Münster <pm@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51331 <at> debbugs.gnu.org:


Received: (at 51331) by debbugs.gnu.org; 13 Sep 2022 13:53:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 13 09:53:37 2022
Received: from localhost ([127.0.0.1]:49431 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oY6M5-0000XV-12
	for submit <at> debbugs.gnu.org; Tue, 13 Sep 2022 09:53:37 -0400
Received: from quimby.gnus.org ([95.216.78.240]:36940)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oY6M2-0000XD-Pg
 for 51331 <at> debbugs.gnu.org; Tue, 13 Sep 2022 09:53:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :Date:References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=nqlLr3HCYxnYeZPi8jEMqwAqWKez+tQchRRfDF+nmSY=; b=GA9KYlYesj+9+a4QWM0bVEGVNU
 O3QbT4qJkmxjMQJbH6fouR/ktuokCeQ0JvS2ddHHBW+tlD1lxwYv6G+4Ao/qtDDYGr3OVhnd3g/Ur
 I0/c7+ozc6wXon2OS9ckrjULFQLi6t1lAcHbbLu2L8RweotjIQ0IY+1wVICYESdlsUj4=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oY6Lt-0003c7-Kg; Tue, 13 Sep 2022 15:53:27 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Peter =?utf-8?Q?M=C3=BCnster?= <pm@HIDDEN>
Subject: Re: bug#51331: 29.0.50; cropping images
In-Reply-To: <87cznxuyra.fsf@HIDDEN> ("Peter =?utf-8?Q?M=C3=BCnster=22's?=
 message of "Fri, 22 Oct 2021 12:42:17 +0200")
References: <87cznxuyra.fsf@HIDDEN>
X-Now-Playing: Trevino's _#savefabric (10) (Mixed by Terry Francis)_:
 "Fractured"
Date: Tue, 13 Sep 2022 15:53:24 +0200
Message-ID: <87r10f1iuj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Peter Münster <pm@HIDDEN> writes: > I would like to crop
    images in image-dired-image-display-mode with the > mouse and save it then.
    Does such a function already exists? > If yes, where can I find it please?
    
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51331
Cc: 51331 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Peter M=C3=BCnster <pm@HIDDEN> writes:

> I would like to crop images in image-dired-image-display-mode with the
> mouse and save it then. Does such a function already exists?
> If yes, where can I find it please?

I've now added an 'image-crop' command to Emacs 29.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51331; Package emacs. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Oct 2021 10:42:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 22 06:42:34 2021
Received: from localhost ([127.0.0.1]:59557 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mds0Q-0003dn-1C
	for submit <at> debbugs.gnu.org; Fri, 22 Oct 2021 06:42:34 -0400
Received: from lists.gnu.org ([209.51.188.17]:60058)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pm@HIDDEN>) id 1mds0H-0003dV-K2
 for submit <at> debbugs.gnu.org; Fri, 22 Oct 2021 06:42:32 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53278)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pm@HIDDEN>) id 1mds0H-0006KR-BP
 for bug-gnu-emacs@HIDDEN; Fri, 22 Oct 2021 06:42:25 -0400
Received: from server.a16n.net ([178.33.238.77]:58826)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pm@HIDDEN>) id 1mds0E-0001Xz-LK
 for bug-gnu-emacs@HIDDEN; Fri, 22 Oct 2021 06:42:24 -0400
Received: from ws.localdomain (arennes-556-1-208-10.w2-14.abo.wanadoo.fr
 [2.14.119.10])
 by server.a16n.net (Postfix) with ESMTPSA id 334AE43E04CA
 for <bug-gnu-emacs@HIDDEN>; Fri, 22 Oct 2021 12:42:18 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=a16n.net; s=a16n;
 t=1634899338; bh=1Iac4ngnDQcJhqaH0/Q0O27Lydn9RdWy+xhzjHVfVso=;
 h=From:To:Subject:Date;
 b=KDhpuVj11jdMHHqOzWo+SGL8TXYaGgjgLViJHXrdzXWCtD9PyVn0t2/Dc95sSy5fQ
 hq8tZneUv0rxbWIc3vAjxq+ZM8ETkMfrSLTTSL7umuMclvYQjlF4Gy+FSQXyh0+zfR
 FtdFeakl9BRm9qTpDx1bRE3Ka8HDgb42U+ERoFkc9U6WI2lqSBensGB3I5xMsrDyt9
 L51UTgQaB43CsblwILu+FCjqz5OOfXWHMZ7PlphCrHhFWB1SD0P4x4lW+dnT2k0SEb
 gYYPPlCaGuR2fmwlO4s2ogczbtgzbHhpdxwcBJCnay+qLqhR0A1r8tvaRpQ0olcRC9
 wHtASReUBlDwA==
Received: by ws.localdomain (Postfix, from userid 1000)
 id A1C6A20532; Fri, 22 Oct 2021 12:42:17 +0200 (CEST)
From: =?utf-8?Q?Peter_M=C3=BCnster?= <pm@HIDDEN>
To: Emacs Bugs <bug-gnu-emacs@HIDDEN>
Subject: 29.0.50; cropping images
Date: Fri, 22 Oct 2021 12:42:17 +0200
Message-ID: <87cznxuyra.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=178.33.238.77; envelope-from=pm@HIDDEN;
 helo=server.a16n.net
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hi,

I would like to crop images in image-dired-image-display-mode with the
mouse and save it then. Does such a function already exists?
If yes, where can I find it please?

If not, could someone create it please? I would be glad to sponsor the
work. A starting point could be
https://lars.ingebrigtsen.no/2018/11/12/cropping-images-in-emacs/

TIA for any help,
-- 
           Peter




Acknowledgement sent to Peter Münster <pm@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#51331; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 13 Sep 2022 14:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.